=== modified file 'drizzled/function/get_system_var.cc'
--- drizzled/function/get_system_var.cc	2010-12-18 04:43:40 +0000
+++ drizzled/function/get_system_var.cc	2010-12-30 18:34:46 +0000
@@ -72,7 +72,7 @@
     component_name= &component;                 // Empty string
   }
 
-  if (!(var= find_sys_var(base_name->str, base_name->length)))
+  if (!(var= find_sys_var(base_name->str)))
     return 0;
   if (component.str)
   {

=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2010-12-27 20:18:43 +0000
+++ drizzled/sql_yacc.yy	2010-12-30 18:34:46 +0000
@@ -6482,7 +6482,7 @@
             /* We have to lookup here since local vars can shadow sysvars */
             {
               /* Not an SP local variable */
-              sys_var *tmp=find_sys_var($1.str, $1.length);
+              sys_var *tmp=find_sys_var($1.str);
               if (!tmp)
                 DRIZZLE_YYABORT;
               $$.var= tmp;

=== modified file 'drizzled/sys_var.cc'
--- drizzled/sys_var.cc	2010-12-30 18:18:45 +0000
+++ drizzled/sys_var.cc	2010-12-30 18:34:46 +0000
@@ -1675,9 +1675,7 @@
 /**
   Find a user set-table variable.
 
-  @param str	   Name of system variable to find
-  @param length    Length of variable.  zero means that we should use strlen()
-                   on the variable
+  @param name	   Name of system variable to find
   @param no_error  Refuse to emit an error, even if one occurred.
 
   @retval
@@ -1686,9 +1684,9 @@
     0		Unknown variable (error message is given)
 */
 
-sys_var *find_sys_var(const char *str, uint32_t, bool no_error)
+sys_var *find_sys_var(const std::string &name, bool no_error)
 {
-  string lower_name(str);
+  string lower_name(name);
   transform(lower_name.begin(), lower_name.end(),
             lower_name.begin(), ::tolower);
 
@@ -1712,7 +1710,7 @@
     }
     else
     {
-      my_error(ER_UNKNOWN_SYSTEM_VARIABLE, MYF(0), (char*) str);
+      my_error(ER_UNKNOWN_SYSTEM_VARIABLE, MYF(0), name.c_str());
       return NULL;
     }
   }

=== modified file 'drizzled/sys_var.h'
--- drizzled/sys_var.h	2010-12-30 18:18:45 +0000
+++ drizzled/sys_var.h	2010-12-30 18:34:46 +0000
@@ -1159,7 +1159,7 @@
 drizzle_show_var* enumerate_sys_vars(Session *session);
 void add_sys_var_to_list(sys_var *var, struct option *long_options);
 void add_sys_var_to_list(sys_var *var);
-sys_var *find_sys_var(const char *str, uint32_t length=0, bool no_error=false);
+sys_var *find_sys_var(const std::string &name, bool no_error=false);
 bool not_all_support_one_shot(List<set_var_base> *var_list);
 extern sys_var_session_time_zone sys_time_zone;
 extern sys_var_session_bit sys_autocommit;

